from invoke import task


@task
def tailwind(c, watch=False):
    tailwind_cmd = "tailwindcss -i ./learn_htmx/static/src/main.css -o ./learn_htmx/static/dist/main.css --minify"
    if watch:
        tailwind_cmd = tailwind_cmd + "--watch"
    c.run(tailwind_cmd)


@task
def serve_dev(c, host="0.0.0.0", port=8000):
    c.run(f"FLASK_APP=./learn_htmx/app.py flask run --host {host} --port {port}  --debug")
